classification
Title: android: cross-compilation of extension module links to the wrong python library
Type: compile error Stage:
Components: Cross-Build Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Alex.Willmer, dstufft, eric.araujo, python-dev, xdegaye
Priority: normal Keywords: patch

Created on 2016-04-29 10:32 by xdegaye, last changed 2016-06-04 22:44 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
build.patch xdegaye, 2016-04-29 10:32 review
Messages (3)
msg264484 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-04-29 10:32
configure of the cross compilation is run with '--enable-shared --with-pydebug'.

The cross-compilation fails attempting to link the extension module objects with a non existing libpython3.6m instead of libpython3.6dm, when the native python that is used to run setup.py had not been configured with --with-pydebug.

The attached patch fixes this problem.
msg265340 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-05-11 19:24
Another description of the problem:
* On the build system, the native python (in one of the search directories of PATH) has been built without --with-pydebug.
* The cross-compilation is done on this build system with --with-pydebug.
* The cross-compilation of all the Python extension modules fails with:
    /bin/ld: error: cannot find -lpython3.6m
    collect2: error: ld returned 1 exit status
msg267337 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-04 22:44
New changeset d00837de03d7 by doko in branch '3.5':
- Issue #26884: Fix linking extension modules for cross builds.
https://hg.python.org/cpython/rev/d00837de03d7
History
Date User Action Args
2016-06-04 22:44:37dokosetstatus: open -> closed
resolution: fixed
2016-06-04 22:44:12python-devsetnosy: + python-dev
messages: + msg267337
2016-05-11 19:24:00xdegayesetmessages: + msg265340
2016-05-03 07:20:51xdegayesettitle: cross-compilation of extension module links to the wrong python library -> android: cross-compilation of extension module links to the wrong python library
2016-05-01 07:08:58xdegayesetnosy: + eric.araujo, dstufft
2016-04-29 11:12:27berker.peksaglinkissue26865 dependencies
2016-04-29 10:32:10xdegayecreate